您目前已離線,請等候您的網際網路重新連線

從 Windows Server 2003,Windows Server 2008 或 Windows Server 2008 R2 和 Windows Server 2008 R2 到 Windows Server 2008,您無法升級叢集伺服器的作業系統

Windows Server 2003 的支援已於 2015 年 7 月 14 日結束

Microsoft 已於 2015 年 7 月 14 日結束對 Windows Server 2003 的支援。此變更已影響您的軟體更新和安全性選項。 瞭解這對您的意義為何且如何持續受保護。

重要:本文是以 Microsoft 機器翻譯軟體翻譯而成,而非使用人工翻譯而成。Microsoft 同時提供使用者人工翻譯及機器翻譯兩個版本的文章,讓使用者可以依其使用語言使用知識庫中的所有文章。但是,機器翻譯的文章可能不盡完美。這些文章中也可能出現拼字、語意或文法上的錯誤,就像外國人在使用本國語言時可能發生的錯誤。Microsoft 不為內容的翻譯錯誤或客戶對該內容的使用所產生的任何錯誤或損害負責。Microsoft也同時將不斷地就機器翻譯軟體進行更新。

935197
徵狀
當想升級下列伺服器作業系統就會封鎖升級:
  • Windows Server 2008 或 Windows Server 2008 R2 的 Windows Server 2003
  • Windows Server 2008,以 Windows Server 2008 R2
時就會發生這個問題被記錄系統相容性報告下列錯誤訊息:
您必須進行下列變更 Windows 在升級之前

解除安裝下列 Windows 元件和功能:
伺服器叢集-請閱讀 「 Microsoft 知識庫 」 文件: 935197
發生的原因
伺服器是叢集成員,就會發生這個問題。Windows Server 2008 和 Windows Server 2008 R2 並不支援叢集伺服器從先前版本的升級。這是因為叢集版本之間的不相容問題。
其他可行方案
如果要解決這個問題,請根據您的情況使用下列方法之一。

方法 1: 正常安裝

  1. 在叢集節點上執行全新安裝 Windows Server 2008 或 Windows Server 2008 R2。
  2. 安裝容錯移轉叢集功能、 建立新的叢集,並再重新設定叢集設定。

方法 2: 在位置遷移

若要進行就地遷移請造訪下列 Microsoft 網站,如需詳細資訊:
狀況說明
這種行為是經過設計規劃的。
其他相關資訊
將 Windows Server 2008 和 Windows Server 2008 R2 說明檔會包含支援的路徑,從先前版本的叢集伺服器的詳細資訊。
MSCS 升級叢集

警告:本文已自動翻譯

內容

文章識別碼:935197 - 最後檢閱時間:09/11/2009 21:18:02 - 修訂: 3.1

  • Microsoft Windows Server 2003, Enterprise Edition (32-bit x86)
  • Microsoft Windows Server 2003, Datacenter Edition (32-bit x86)
  • Microsoft Windows Server 2003, Enterprise x64 Edition
  • Microsoft Windows Server 2003, Datacenter x64 Edition
  • Microsoft Windows Server 2003, Enterprise Edition for Itanium-based Systems
  • Microsoft Windows Server 2003, Datacenter Edition for Itanium-Based Systems
  • Windows Server 2008 Datacenter without Hyper-V
  • Windows Server 2008 Enterprise without Hyper-V
  • Windows Server 2008 for Itanium-Based Systems
  • Windows Server 2008 Datacenter
  • Windows Server 2008 Enterprise
  • Windows Server 2008 R2 Datacenter
  • Windows Server 2008 R2 Enterprise
  • kbmt kbexpertiseinter kbtshoot kbprb KB935197 KbMtzh
意見反應